Redmine - Defect #8969

rake aborted! undefined method 'name’ for "abstract":String
2011-08-02 12:00 - poornima biradar

Status: Closed Start date: 2011-08-02
Priority: Urgent Due date:

Assignee: % Done: 0%
Category: Gems support Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 1.2.1
Description

i am totally new to this , want to install redmine on ubuntu(version being installed is 1.2.1)
| am following installation instructions from http:/www.linuxgurru.com/2010/05/how-to-install-redmine-on-ubuntu/

when i run

sudo rake db:migrate RAILS_ENV="production"
i get

rake aborted!

undefined method "name' for "abstract":String
following are the versions i am using ...

i18n (0.5.0, 0.4.2)

rack (1.2.3)

rails (3.0.9)

rake (0.9.2)

gem 1.8.6

please please help to resolve this issue... it will be of great help :)

Related issues:
Is duplicate of Redmine - Defect #8325: undefined method “name' for "actionma... Closed 2011-05-09

History

#1 - 2011-08-02 12:27 - poornima biradar

After refering to the correct versions of rails and rack supported by redmine on http://www.redmine.org/projects/redmine/wiki/Redminelnstall
for redmine 1.2.1, i run following

sudo gem install rails -v=2.3.11
sudo gem install rack -v=1.1.0

now
i18n (0.5.0, 0.4.2)

rack (1.2.3,1.1.2,1.1.0)
rails (3.0.9, 2.3.11)

rake (0.9.2)
rubygems-update (1.8.6)

but still i get the same error
#2 - 2011-08-04 22:17 - Jean-Baptiste Barth
You shouldn't run the rake tasks with "sudo". And you could provide the trace of the task when adding a --trace option to the rake task, could be

useful...

#3 - 2011-08-05 14:51 - Marco Scialino
- File rake_db_migrate.log added
http://www.linuxgurru.com/2010/05/how-to-install-redmine-on-ubuntu/
http://www.redmine.org/projects/redmine/wiki/RedmineInstall

Hi,

I'm experiencing the very same problem too.
Differently from poornima biradar | did not use "sudo", but | got the same error.
Here is my config.

i18n (0.6.0, 0.5.0, 0.4.2)
rack (1.1.1)

rails (2.3.11)

rake (0.8.3)

gem 1.8.6

ruby 1.8.7 (2008-08-11 patchlevel 72) [i686-linux]

Please also see attached file with output of task with --trace option
Hope this helps.
Marco

#4 - 2011-08-08 17:37 - Patrick Figel

http://www.redmine.org/projects/redmine/wiki/Redminelnstall says that you need rake 0.8.7. You're using 0.8.3/0.9.2.

Try gem install rake -v 0.8.7

#5 - 2011-08-23 16:22 - Etienne Massip
- Status changed from New to Closed

- Resolution set to Duplicate

RubyGems > 1.6 is not supported, check Redminelnstall.

Closed as duplicate of #8325.

Files

rake_db_migrate.log 14.8 KB 2011-08-05 Marco Scialino
